%global php_apiver  %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)
%global php_extdir  %(php-config --extension-dir 2>/dev/null || echo "undefined")
%global php_version %(php-config --version 2>/dev/null || echo 0)

# wget http://pecl.php.net/get/SQLite-1.0.3.tgz
# 

%define php_name sqlite2
%define sqlite_ver 1.0.3

Summary:        Advanced protection system for PHP installations
Name:           php-%{php_name}
Version:        %{php_version}
Release:        1.art
License:        PHP License
Group:          Development/Languages
URL:            http://www.php.net
Source0:        SQLite-%{sqlite_ver}.tgz
Patch1:		sqlite-utf8.patch	
Patch2:		sqlite-sitebuilder.patch
Patch3:		fixed.patch
#Source1:        PHP-LICENSE-3.01
#Source2:	INSTALL
BuildRoot:      %{_tmppath}/%{php_name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:	any-php-sqlite2
Provides:	php53-sqlite2
Obsoletes:	php53-sqlite2
Requires:       php >= %{php_version}, sqlite2 >= 2.8.17
BuildRequires:	sqlite2 >= 2.8.17
BuildRequires:  php-devel, autoconf, automake, libtool

%description
Sqlite2 module for php

%prep
%setup -n SQLite-%{sqlite_ver} -q

%patch1 -p1
#%patch2 -p0
%patch3 -p0

%build
phpize
%configure\
	--with-sqlite \
	--with-php-config=/usr/bin/php-config
%{__make} 

%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{php_name}.ini << 'EOF'
; Enable suhosin extension module
extension=sqlite.so
EOF

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%config(noreplace) %{_sysconfdir}/php.d/%{php_name}.ini
%{php_extdir}/sqlite.so

%changelog
* Sat Feb 28 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 5.2.9-1
- update to 5.2.9

